# Generated by Django 3.0.6 on 2020-05-29 22:26

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("wagtailcore", "0045_assign_unlock_grouppagepermission"),
    ]

    operations = [
        migrations.CreateModel(
            name="SenateHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "senators",
                    wagtail.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.blocks.CharBlock(label="jméno"),
                                        ),
                                        (
                                            "district",
                                            wagtail.blocks.CharBlock(label="obvod"),
                                        ),
                                        (
                                            "info",
                                            wagtail.blocks.CharBlock(
                                                label="info o nominaci"
                                            ),
                                        ),
                                        (
                                            "phone",
                                            wagtail.blocks.CharBlock(
                                                label="telefon", required=False
                                            ),
                                        ),
                                        (
                                            "email",
                                            wagtail.blocks.EmailBlock(
                                                label="email", required=False
                                            ),
                                        ),
                                        (
                                            "web",
                                            wagtail.blocks.URLBlock(
                                                label="web", required=False
                                            ),
                                        ),
                                        (
                                            "photo",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="fotka"
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="naši senátoři",
                    ),
                ),
                (
                    "candidates",
                    wagtail.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.blocks.CharBlock(label="jméno"),
                                        ),
                                        (
                                            "district",
                                            wagtail.blocks.CharBlock(label="obvod"),
                                        ),
                                        (
                                            "info",
                                            wagtail.blocks.CharBlock(
                                                label="info o nominaci"
                                            ),
                                        ),
                                        (
                                            "phone",
                                            wagtail.blocks.CharBlock(
                                                label="telefon", required=False
                                            ),
                                        ),
                                        (
                                            "email",
                                            wagtail.blocks.EmailBlock(
                                                label="email", required=False
                                            ),
                                        ),
                                        (
                                            "web",
                                            wagtail.blocks.URLBlock(
                                                label="web", required=False
                                            ),
                                        ),
                                        (
                                            "photo",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                label="fotka"
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="kandidáti",
                    ),
                ),
                (
                    "matomo_id",
                    models.IntegerField(
                        blank=True,
                        null=True,
                        verbose_name="Matomo ID pro sledování návštěvnosti",
                    ),
                ),
            ],
            options={
                "verbose_name": "Senát",
            },
            bases=("wagtailcore.page",),
        ),
    ]
